Summary: A perfect hash function generator.
Name: gperf
Version: 3.0.1
Release: 7.2.2.XOS.1
License: GPL
Source: ftp://ftp.gnu.org/pub/gnu/gperf/gperf-%{version}.tar.gz
Patch0: gperf-3.0.1-gcc4.patch
Group: Development/Tools
URL: http://www.gnu.org/software/gperf/
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Gperf is a perfect hash function generator written in C++. Simply
stated, a perfect hash function is a hash function and a data
structure that allows recognition of a key word in a set of words
using exactly one probe into the data structure.

%prep
%setup -q
%patch0 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/share/{man,info}

%makeinstall
# remove the stuff from the buildroot
rm -rf $RPM_BUILD_ROOT{%{_mandir}/{dvi,html},%{_datadir}/doc}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/gperf.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/gperf.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc README NEWS doc/gperf.html
%{_bindir}/%{name}
%{_mandir}/man1/gperf.1*
%{_infodir}/gperf.info*

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 3.0.1-7.2.2.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on gperf-3.0.1-7.2.2.src.rpm
  (md5sum of original source rpm: 5cc4584ee643ef4dbf53a3732d019a9a).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.0.1-7.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.0.1-7.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0.1-7.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Aug 02 2005 Karsten Hopp <karsten@redhat.de> 3.0.1-7
- Gcc4 fix (Tomo Vuckovic) #164885 

* Wed Mar 02 2005 Karsten Hopp <karsten@redhat.de> 3.0.1-6
- build with gcc-4

* Wed Feb 09 2005 Karsten Hopp <karsten@redhat.de> 3.0.1-5
- rebuilt

* Mon Oct 11 2004 Ivana Varekova <varekova@redhat.com>
- minor spec updates

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jun 13 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- 3.0.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 08 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 3.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov 22 2002 Tim Powers <timp@redhat.com>
- remove unpackaged files from the buildroot

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Apr 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.7.2-1
- Update to 2.7.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- user infodir and mandir macros for FHS
- use %%makeinstall

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to gzip manpage
- don't use CC=egcs
- fix description

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- added patches for egcs from UP

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- patch for latest egcs

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- create.
